Code Versions - Get

버전을 가져옵니다.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.MachineLearningServices/workspaces/{workspaceName}/codes/{name}/versions/{version}?api-version=2026-05-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
name
path True

string

컨테이너 이름입니다. 대/소문자를 구분합니다.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

리소스 그룹의 이름입니다. 이름은 대소문자를 구분하지 않습니다.

subscriptionId
path True

string

minLength: 1

대상 구독의 ID입니다.

version
path True

string

버전 식별자입니다. 대/소문자를 구분합니다.

workspaceName
path True

string

pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]{2,32}$

Azure Machine Learning 작업 영역의 이름입니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

응답

Name 형식 Description
200 OK

CodeVersion

Azure 운영이 성공적으로 완료되었습니다.

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정을 사칭하다

예제

Get Workspace Code Version.

샘플 요청

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/test-rg/providers/Microsoft.MachineLearningServices/workspaces/my-aml-workspace/codes/string/versions/string?api-version=2026-05-01

샘플 응답

{
  "name": "string",
  "type": "string",
  "id": "string",
  "properties": {
    "description": "string",
    "codeUri": "https://blobStorage/folderName",
    "isAnonymous": false,
    "properties": {
      "string": "string"
    },
    "tags": {
      "string": "string"
    }
  },
  "systemData": {
    "createdAt": "2020-01-01T12:34:56.999Z",
    "createdBy": "string",
    "createdByType": "User",
    "lastModifiedAt": "2020-01-01T12:34:56.999Z",
    "lastModifiedBy": "string",
    "lastModifiedByType": "User"
  }
}

정의

Name Description
AssetProvisioningState

레지스트리 자산의 프로비전 상태입니다.

CodeVersion

Azure Resource Manager 리소스 봉투.

CodeVersionProperties

코드 자산 버전 세부 정보.

createdByType

리소스를 만든 ID 유형입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

오류 응답

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

AssetProvisioningState

레지스트리 자산의 프로비전 상태입니다.

Description
Succeeded
Failed
Canceled
Creating
Updating
Deleting

CodeVersion

Azure Resource Manager 리소스 봉투.

Name 형식 Description
id

string

리소스에 대한 정규화된 리소스 ID입니다. 예 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

리소스의 이름

properties

CodeVersionProperties

[필수] 엔터티의 추가 특성입니다.

systemData

systemData

createdBy 및 modifiedBy 정보가 포함된 Azure Resource Manager 메타데이터입니다.

type

string

리소스의 형식입니다. 예: "Microsoft.Compute/virtualMachines" 또는 "Microsoft.Storage/storageAccounts"

CodeVersionProperties

코드 자산 버전 세부 정보.

Name 형식 Default value Description
codeUri

string

코드가 있는 URI

description

string

자산 설명 텍스트입니다.

isAnonymous

boolean

False

이름 버전이 시스템 생성(익명 등록)인 경우

isArchived

boolean

False

자산이 보관되어 있나요?

properties

object

자산 속성 사전입니다.

provisioningState

AssetProvisioningState

코드 버전에 대한 프로비전 상태입니다.

tags

object

태그 사전입니다. 태그를 추가, 제거 및 업데이트할 수 있습니다.

createdByType

리소스를 만든 ID 유형입니다.

Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

리소스 관리 오류 추가 정보

Name 형식 Description
info

object

추가 정보입니다.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상.

ErrorResponse

오류 응답

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

systemData

리소스의 생성 및 마지막 수정과 관련된 메타데이터입니다.

Name 형식 Description
createdAt

string (date-time)

리소스 만들기의 타임스탬프(UTC)입니다.

createdBy

string

리소스를 만든 ID입니다.

createdByType

createdByType

리소스를 만든 ID 유형입니다.

lastModifiedAt

string (date-time)

리소스 마지막 수정의 타임스탬프(UTC)

lastModifiedBy

string

리소스를 마지막으로 수정한 ID입니다.

lastModifiedByType

createdByType

리소스를 마지막으로 수정한 ID의 형식입니다.